class EnvironmentParameter {
  int? id;
  String? name;
  num? index;
  int? activityId;
  String? executeDate;
  bool? status;

  EnvironmentParameter({this.id, this.name, this.index, this.activityId, this.executeDate, this.status});

  EnvironmentParameter.clone(EnvironmentParameter e) {
    id = e.id;
    name = e.name;
    index = e.index;
    activityId = e.activityId;
    executeDate = e.executeDate;
    status = e.status;
  }

  EnvironmentParameter.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    index = json['index'];
    activityId = json['activityId'];
    executeDate = json['executeDate'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['index'] = index;
    data['activityId'] = activityId;
    data['executeDate'] = executeDate;
    data['status'] = status;
    return data;
  }
}
